Bug 1814320 - Allow node-role.kubernetes.io/master label to be set on the kubelet
Summary: Allow node-role.kubernetes.io/master label to be set on the kubelet
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 16:08 UTC by Maru Newby
Modified: 2020-03-26 15:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-26 15:19:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Maru Newby 2020-03-17 16:08:19 UTC
A persistent carry [1] has been enabling addition of the 'node-role.kubernetes.io/master' label to kubelet nodes. It would be preferable to find a fix that did not require a carry.

1: https://github.com/openshift/kubernetes/commit/1033afd428e12cac635426854b39ed56b91b3488

Comment 1 Ryan Phillips 2020-03-19 15:24:26 UTC
I don't know if we will remove this from 4.x. The number of modules it impacts is basically the entire system.

There is a PR to add both old and new labels [1], which might be a good first step to transition to the new label.

1. https://github.com/openshift/machine-config-operator/pull/1269

Comment 2 Ryan Phillips 2020-03-26 15:19:26 UTC
When we started on 4.0 this was a change that was added upstream. I do not believe we will be transitioning to the new label format and the carry patch will be required.


Note You need to log in before you can comment on or make changes to this bug.